## org.apache.axis.components.jms
Class BeanVendorAdapter

    java.lang.Object
      org.apache.axis.components.jms.JMSVendorAdapter
          org.apache.axis.components.jms.BeanVendorAdapter

Direct Known Subclasses:
  SonicMQVendorAdapter

public abstract class BeanVendorAdapter
extends JMSVendorAdapter

Uses ClassUtils.forName and reflection to configure ConnectionFactory. Uses the input sessions to create destinations.

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com)

Field Summary
`protected static java.lang.String` `CONNECTION_FACTORY_CLASS`

Fields inherited from class org.apache.axis.components.jms.JMSVendorAdapter
`CONNECT_ACTION, ON_EXCEPTION_ACTION, RECEIVE_ACTION, SEND_ACTION, SUBSCRIBE_ACTION`

Constructor Summary
`BeanVendorAdapter()`

Method Summary
`javax.jms.QueueConnectionFactory` `getQueueConnectionFactory(java.util.HashMap cfConfig)`
`javax.jms.TopicConnectionFactory` `getTopicConnectionFactory(java.util.HashMap cfConfig)`

Methods inherited from class org.apache.axis.components.jms.JMSVendorAdapter
`addVendorConnectionFactoryProperties, getJMSConnectionFactoryProperties, getJMSConnectorProperties, getQueue, getTopic, getVendorId, isMatchingConnectionFactory, isRecoverable, setProperties, setupApplicationProperties, setupMessageContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONNECTION_FACTORY_CLASS

    protected static final java.lang.String CONNECTION_FACTORY_CLASS

See Also:
  Constant Field Values

Constructor Detail

### BeanVendorAdapter

    public BeanVendorAdapter()

Method Detail

### getQueueConnectionFactory

    public javax.jms.QueueConnectionFactory getQueueConnectionFactory(java.util.HashMap cfConfig)
                                                               throws java.lang.Exception

  Specified by:
    `getQueueConnectionFactory` in class `JMSVendorAdapter`
  Throws:
    `java.lang.Exception`

### getTopicConnectionFactory

    public javax.jms.TopicConnectionFactory getTopicConnectionFactory(java.util.HashMap cfConfig)
                                                               throws java.lang.Exception

  Specified by:
    `getTopicConnectionFactory` in class `JMSVendorAdapter`
  Throws:
    `java.lang.Exception`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.